Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model
Class Edge

    java.lang.Object
      com.beanexplorer.beans.Option
          ru.biosoft.access.MutableDataElementSupport
              biouml.model.DiagramElement
                  biouml.model.Edge

All Implemented Interfaces:
  DataElement, MutableDataElement

public class Edge
extends DiagramElement

Edge is directed relation between two diagram nodes, called "input" and "output".

Pendung:
  notifications for inPort & outPort., inPort & outPort may duplicate information stored by general path. Whether we should consider them as some constraints for PortFinder?

Field Summary

Fields inherited from class biouml.model.DiagramElement
`comment, kernel, role, title, view`

Fields inherited from class ru.biosoft.access.MutableDataElementSupport
`name`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Constructor Summary
`Edge(DataCollection parent, Base kernel, Node input, Node output)`
`Edge(DataCollection parent, java.lang.String id, Base kernel, Node input, Node output)`

Method Summary
`DiagramElement` | `clone(Compartment newParent, java.lang.String newName)`
`java.awt.Point` | `getInPort()`
`Node` | `getInput()`
`java.awt.Point` | `getOutPort()`
`Node` | `getOutput()`
`java.awt.Polygon` | `getPath()`
`void` | `setInPort(java.awt.Point inPort)`
`void` | `setOutPort(java.awt.Point outPort)`
`void` | `setPath(java.awt.Polygon path)`

Methods inherited from class biouml.model.DiagramElement
`getComment, getKernel, getRole, getTitle, getView, isKernelHidden, isRoleHidden, setComment, setKernel, setRole, setTitle, setView`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ru.biosoft.access.MutableDataElement
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### Edge

    public Edge(DataCollection parent,
                java.lang.String id,
                Base kernel,
                Node input,
                Node output)

### Edge

    public Edge(DataCollection parent,
                Base kernel,
                Node input,
                Node output)

Method Detail

### getInput

    public Node getInput()

### getOutput

    public Node getOutput()

### getPath

    public java.awt.Polygon getPath()

### setPath

    public void setPath(java.awt.Polygon path)

### getInPort

    public java.awt.Point getInPort()

### setInPort

    public void setInPort(java.awt.Point inPort)

### getOutPort

    public java.awt.Point getOutPort()

### setOutPort

    public void setOutPort(java.awt.Point outPort)

### clone

    public DiagramElement clone(Compartment newParent,
                                java.lang.String newName)

  Overrides:
    `clone` in class `DiagramElement`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.